
  <ion-content [fullscreen]="true" class="main-bg-container">
    <!-- Fade Header with collapse header -->
    <ion-header collapse="fade" [translucent]="true">
      <ion-toolbar>
        <ion-buttons class="back-button">
          <ion-back-button slot="start" defaultHref="/login"></ion-back-button>
        </ion-buttons>
      </ion-toolbar>
      <ion-toolbar>
        <ion-title size="large">Dienstpläne verwalten</ion-title>
      </ion-toolbar>
    </ion-header>

    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-button class="add-btn" expand="block" (click)="addDienstPlan()">
            Plan-Element erstellen <ion-icon name="add-circle-outline"></ion-icon>
          </ion-button>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-text color="dark">
            <h1>Dienstplan</h1>
            <ion-list *ngIf="!currentLoading">
              <!--  Monday thru Thursday is Closed -->
              <ion-item *ngIf="dienstList.length === 0">
                <ion-label class="red">Keine Elemente verfügbar</ion-label>
              </ion-item>
              <ion-item *ngFor="let d of dienstList">
                <div class="rounded-container">
                  <div class="grid">
                    <div class="info-box">
                      <ion-item>
                        <ion-icon name="calendar-outline" slot="start"></ion-icon>
                        <span class="date" [textContent]="d.dayOfOperation + ', ' + d.dateOfOperation"></span>
                      </ion-item>
                      <ion-item>
                        <ion-icon name="time-outline" slot="start"></ion-icon>
                        <span class="start" [textContent]="d.startOfDay"></span> -<span class="end" [textContent]="d.endOfDay"></span>
                      </ion-item>
                      <!-- <span class="date" [textContent]="d.dateOfOperation"></span> -->
                      
                      <ion-item>
                        <ion-icon name="person-outline" slot="start"></ion-icon>
                        <span class="start" [textContent]="d.userName"></span>
                      </ion-item>
                    </div>
                    <div class="crud-box">
                      <ion-button (click)="editPlan(d.id)">
                        <ion-icon name="create-outline"></ion-icon>
                      </ion-button>
                      <ion-button (click)="deletePlan(d.id)" color="transparent">
                        <ion-icon name="trash-outline"></ion-icon>
                      </ion-button>
                      <ion-button (click)="addPassengers(d.id)" color="transparent">
                        <ion-icon name="people-outline"></ion-icon>
                      </ion-button>
                    </div>
                  </div>
                </div>
              </ion-item>
            </ion-list>
            <ion-spinner class="ion-text-center" *ngIf="currentLoading" name="crescent"></ion-spinner>
          </ion-text>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-content>

